package jp.co.student.springbootstudy.domain.mapper;

import java.util.List;
import jp.co.student.springbootstudy.domain.model.Student;
import jp.co.student.springbootstudy.domain.model.StudentExample;
import org.apache.ibatis.annotations.Param;

public interface StudentMapper {

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.student
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	long countByExample(StudentExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.student
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	int deleteByExample(StudentExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.student
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	int deleteByPrimaryKey(String studentId);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.student
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	int insert(Student row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.student
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	int insertSelective(Student row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.student
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	List<Student> selectByExample(StudentExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.student
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	Student selectByPrimaryKey(String studentId);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.student
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	int updateByExampleSelective(@Param("row") Student row, @Param("example") StudentExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.student
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	int updateByExample(@Param("row") Student row, @Param("example") StudentExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.student
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	int updateByPrimaryKeySelective(Student row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.student
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	int updateByPrimaryKey(Student row);
}